For AI agents: visit https://fireworksai.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
Jump to Content
Fireworks.aiHome
API ReferenceFAQsDiscordTwitter
v1.0

HomeGuidesFireworks.ai
API Reference
Guides
v1.0API ReferenceFAQsDiscordTwitter

Fireworks REST API

  • /chat/completions
    • POST /chat/completionspost
  • /completions
    • POST /completionspost
  • /image_generation/accounts/fireworks/models/stable-diffusion-xl-1024-v1-0
  • /image_generation/accounts/fireworks/models/stable-diffusion-xl-1024-v1-0/image_to_image
  • /image_generation/accounts/fireworks/models/stable-diffusion-xl-1024-v1-0/control_net
  • /embeddings
    • Creates an embedding vector representing the input text.post

Python Client Library

  • Installation
  • Authentication
  • API Reference

PeFT Addon

  • Requirements and limits
  • fireworks.json
  • adapter_config.json

Firectl CLI Reference

  • Installation
  • Commands
    • firectl create model
    • firectl get model
    • firectl list models
    • firectl update model
    • firectl delete model
    • firectl deploy
    • firectl undeploy
    • firectl signin
    • firectl whoami
    • firectl version
    • firectl upgrade
Powered by 

Authentication

You can authenticate with Fireworks by setting the fireworks.client.api_key variable:

fireworks.client.api_key = "<API_KEY>"

Or by setting the FIREWORKS_API_KEY environment ariable:

export FIREWORKS_API_KEY=<API_KEY>

Updated about 3 years ago


Did this page help you?

Updated about 3 years ago


Did this page help you?